<?php require_once('Connections/cn.php'); ?>
<?php require_once('Connections/conn.php'); ?>
<?php session_start();

// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="cargar_historico.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		exit;
	  }  

  if ($tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="cargar_historico.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		exit;
  }   

// Captura las variables que vienen de cargar1.php.
  $profesor=$_GET["profesor"];
  $periodo=$_GET["periodo"];
  $seccion=$_GET["seccion"];
  $sede=$_GET["sede"];
  $materia=$_GET["materia"];
  $carrera=$_GET["carrera"];
  
  $mencion=$_GET["mencion"];
  $turno=$_GET["turno"];
  $semestre=$_GET["semestre"];
  
  $valoracion=$_GET["valoracion"];
  
  $veces=$_GET["veces"];
  if($veces!=2) $_SESSION["logged_in"] = false;

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
 
?>

<html>
<head>
<title>sadce -- historico_notas</title>
<meta name="generator" http-equiv="content-type" content="text/html; charset=UTF-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
.style1 {color: #FF0000}
</style>
</head>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Acta en Hist&oacute;rico</h2></td></tr></table>
<?php
  if (!login()) exit;
?>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
  

  $id_mencion=$mencion;
 
  if($turno=="1") $nombre_turno="MATUTINO";
  if($turno=="2") $nombre_turno="VESPERTINO";
  if($turno=="4") $nombre_turno="NOCTURNO";
  
  $nivel='CP';	
  if($id_mencion=='CIU') {
     $nivel='CIU';
	 $id_mencion='COMUN';
  }
  if($id_mencion=='CG'){
     $nivel='CG';
     $id_mencion='COMUN';
  }	

  $nombre_mencion='COMÚN';
  if($id_mencion!='COMUN'){
	 $sql_mencion = "SELECT nombre_mencion FROM menciones where id_mencion='$id_mencion' and id_carrera='$carrera'";
	 $rs_mencion = mysql_query($sql_mencion, $conn) or die(mysql_error());
	 $row_mencion = mysql_fetch_assoc($rs_mencion);
	 $nombre_mencion=$row_mencion['nombre_mencion'];
	}
   
  
   $nombre_nivel='CURSO DE INICIACIÓN UNIVERSITARIA';
   if($nivel=='CG') $nombre_nivel='COMPONENTE GENERAL';
   if($nivel=='CP') $nombre_nivel='CICLO PROFESIONAL'; 
	 
   $query_periodo = "SELECT codigo FROM periodos WHERE id_periodo='$periodo'";
   $rs_periodo = mysql_query($query_periodo, $cn) or die(mysql_error());
   $row_periodo = mysql_fetch_assoc($rs_periodo);
   $totalRows_periodo = mysql_num_rows($rs_periodo);
   $cod_periodo=$row_periodo["codigo"];
   
   // Busca el profesor en caso de desconocerlo.
   if($profesor==0) {
	   $query_periodo1 = "Select * from historico_notas WHERE id_periodo='$periodo' and id_seccion='$seccion' and sede='$sede' and id_materia='$materia' and id_carrera='$carrera' ";
	   $rs_periodo1 = mysql_query($query_periodo1, $cn) or die(mysql_error());
	   $row_periodo1 = mysql_fetch_assoc($rs_periodo1);
	   $totalRows_periodo1 = mysql_num_rows($rs_periodo1);
	   if($totalRows_periodo1!=0) {
		 $profesor=$row_periodo1["id_docente"];
	   }
   }
  
  switch ($sql) {
    
    case "update":
      sql_update($recid);
      break;
	  
	case "insert":
      sql_insert();
      break;  
	  
	  case "delete":
      sql_delete($recid);
      break;
   
	  }

  switch ($a) {
    case "add":
      addrec($profesor, $periodo, $seccion, $sede, $materia, $carrera,$periodo);
      break;
    case "view":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera, $periodo);
      break;
	 case "edit":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera, $periodo);
      break;
	 case "del":
      deleterec($recid,$profesor, $periodo, $seccion, $sede, $materia, $carrera, $periodo);
      break; 
    default:
      select($profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php

 function select($profesor, $periodo, $seccion, $sede, $materia, $carrera)
  {
  
  global $conn;
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $mencion;
  global $semestre;
  global $turno;
  global $valoracion;
  global $veces;

  //Busco el nombre de la materia


mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$materia'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);
$nombre_carrera=$row_carrera["nombre_carrera"];

$query_periodo = "SELECT codigo,tipo FROM periodos WHERE id_periodo='$periodo'";
	$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$totalRows_periodo = mysql_num_rows($rs_periodo);
	$cod_periodo=$row_periodo["codigo"].' ('.$row_periodo["tipo"].')'; 
    
 
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $carrera ?>:<?php echo $nombre_carrera; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;
   <?php echo $materia?>:<?php echo $row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:&nbsp;</b> <?php echo $semestre; ?><b>&nbsp;&nbsp;&nbsp;SECCI&Oacute;N:&nbsp;&nbsp;&nbsp;</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>LAPSO:&nbsp;&nbsp;&nbsp;</b> <?php echo $cod_periodo; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SEDE:&nbsp;&nbsp;&nbsp;</b> <?php echo $row_sede['nombre_sede']; ?></td>
</tr>
<tr>
<td colspan="2"><b>DOCENTE:&nbsp;&nbsp;&nbsp;</b> <?php echo $row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres']?></td>
</tr>
<tr>
<td align="right" colspan="2">N&uacute;mero de Inscritos: <?php echo $count ?></td>
</tr>
</table>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount, $profesor,$periodo,$seccion,$sede,$materia,$carrera); ?>

<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td align="center" class="hr">Borrar</td>

<td align="center" class="hr"><a class="hr" href="cargar_historico.php?order=<?php echo "id_alumno" ?>&type=<?php echo $ordtypestr ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Matrícula") ?></a></td>
<td align="center" class="hr"><a class="hr" href="cargar_historico.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">C&eacute;dula</a></td>
<td align="center" class="hr"><a class="hr" href="cargar_historico.php?order=<?php echo "apellidos" ?>&type=<?php echo $ordtypestr ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Apellidos") ?></a></td>
<td align="center" class="hr"><a class="hr" href="cargar_historico.php?order=<?php echo "nombres" ?>&type=<?php echo $ordtypestr ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Nombres") ?></a></td>
<td align="center" class="hr"><a class="hr" href="cargar_historico.php?order=<?php echo "nota" ?>&type=<?php echo $ordtypestr ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Nota") ?></a></td>

</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	$nota=$row["nota"];
	if($row["valoracion"]=="CUALITATIVA"){
	   $nota="APROBADA";
	   if($row["nota"]==1)$nota="REPROBADA";
	}
	
?>
<tr>
<td align="center" class="<?php echo $style ?>"><a href="cargar_historico.php?a=del&recid=<?php echo $i ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><img src="imagenes/delete.png" border="0" ></a></td>

<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_alumno"]) ?></td>
<td class="<?php echo $style ?>" align="right"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo $nota; ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php showpagenav($page, $pagecount,$profesor,$periodo,$seccion,$sede,$materia,$carrera); ?>
<?php } ?>

<?php function login()
{
  global $_POST;
  global $_SESSION;
  global $_GET;
  global $profesor;
  global $periodo;
  global $seccion;
  global $sede;
  global $materia;
  global $carrera;
  global $mencion;
  global $turno;
  global $semestre;
  global $valoracion;
  global $username;

  
  
  if (isset($_GET["a"]) && ($_GET["a"] == 'logout')) $_SESSION["logged_in"] = false;
  if (!isset($_SESSION["logged_in"])) $_SESSION["logged_in"] = false;
  if (!$_SESSION["logged_in"]) {
    $veces=2;
    $login = $username;
    $password = "";
    if (isset($_POST["login"])) $login = @$_POST["login"];
    if (isset($_POST["password"])) $password = @$_POST["password"];

    if (($login != "") && ($password != "")) {
      $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
      mysql_select_db("siga_pregrado");
      $sql = "select `psw_notas` from `usuarios` where `username` = '" .$login ."'";
      $res = mysql_query($sql, $conn) or die(mysql_error());
      $row = mysql_fetch_assoc($res) or $row = array(0 => "");;
      if (isset($row)) reset($row);

      if (isset($password) && ($password == trim(current($row)))) {
        $_SESSION["logged_in"] = true;
    }
    else {
?>
<p><b><font color="-1">Disculpe, la combinaci&oacute;n de usuario/contrase&ntilde;a  es incorrecta.</font></b></p>
<?php } } }if (isset($_SESSION["logged_in"]) && (!$_SESSION["logged_in"])) { ?>
<form action="cargar_historico.php?profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&turno=<?php echo $turno ?>&semestre=<?php echo $semestre ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>" method="post">  
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td>Nombre de Usuario</td>
<td><input disabled="disabled" type="text" name="login" value="<?php echo $login ?>"></td>
</tr>
<tr>
<td>Contrase&ntilde;a</td>
<td><input type="password" name="password" value="<?php echo $password ?>"></td>
</tr>
<tr>
<td><input type="submit" name="action" value="Acceder"></td>
</tr>
</table>
</form>
<?php
  }
  if (!isset($_SESSION["logged_in"])) $_SESSION["logged_in"] = false;
  return $_SESSION["logged_in"];
} ?>


<?php function showrow($row, $recid)
  {
   global $conn;
   global $valoracion;
 // $cn=connect();
 
  	$nota=$row["nota"];
	if($row["valoracion"]=="CUALITATIVA"){
	   $nota="APROBADA";
	   if($row["nota"]==1)$nota="REPROBADA";
	}
  
  $carrera=$row["id_carrera"];
  $materia=$row["id_materia"];
  $sede=$row["sede"];
  
  $sql = "SELECT nombre_materia FROM materias WHERE id_carrera='$carrera' and id_materia='$materia'";
  $rst = mysql_query($sql, $conn) or die(mysql_error());
  $row_materias= mysql_fetch_assoc($rst);
  $totalRows_materias = mysql_num_rows($rst);
  $nombre_materia=$row_materias["nombre_materia"]; 
  
  $sql1 = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
  $rst1 = mysql_query($sql1, $conn) or die(mysql_error());
  $row_carreras= mysql_fetch_assoc($rst1);
  $totalRows_materias = mysql_num_rows($rst1);
  $nombre_carrera=$row_carreras["nombre_carrera"]; 
  
  $sql2 = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
  $rst2 = mysql_query($sql2, $conn) or die(mysql_error());
  $row_sede= mysql_fetch_assoc($rst2);
  $totalRows_materias = mysql_num_rows($rst2);
  $nombre_sede=$row_sede["nombre_sede"]; 
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Matrícula")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_alumno"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Documento Id")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cedula"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombres"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Período")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_periodo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Programa")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($carrera.':'.$nombre_carrera) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($materia.':'.$nombre_materia) ?></td>
</tr>
<tr>
<td class="hr">Secci&oacute;n&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_seccion"]) ?></td>
</tr>
<tr>
<td class="hr">Calificaci&oacute;n&nbsp;</td>
<td class="dr"><?php echo $nota; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($nombre_sede) ?></td>
</tr>

</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode,$profesor,$periodo,$seccion,$sede,$materia,$carrera,$cod_periodo)
  {
  global $conn;
  global $valoracion;
  
  	$nota=$row["nota"];
	if($row["valoracion"]=="CUALITATIVA"){
	   $nota="APROBADA";
	   if($row["nota"]==1)$nota="REPROBADA";
	}
	
  $id_carrera=$row['id_carrera'];
  mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$materia'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo,tipo FROM periodos WHERE id_periodo='$periodo'";
	$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$totalRows_periodo = mysql_num_rows($rs_periodo);
	$cod_periodo=$row_periodo["codigo"].' ('.$row_periodo["tipo"].')'; 

?>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $carrera ?>:<?php echo $row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;<?php echo $materia?>:<?php echo $row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:&nbsp;&nbsp;&nbsp;</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;<b>SECCION:&nbsp;&nbsp;&nbsp;</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>LAPSO:&nbsp;&nbsp;&nbsp;</b> <?php echo $cod_periodo; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SEDE:&nbsp;&nbsp;&nbsp;</b> <?php echo $row_sede['nombre_sede']; ?></td>
</tr>
<tr>
<td colspan="2"><b>DOCENTE:&nbsp;&nbsp;&nbsp;</b> <?php echo $row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres']?></td>
</tr>
</table>
<hr size="1" noshade>
<table class="tbl" border="0" cellspacing="1" cellpadding="5" width="50%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula")."&nbsp;" ?></td>
<td class="dr"><input readonly="true"  type="text" name="docid" maxlength="10" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input readonly="true"  type="text" name="apellidos" maxlength="10" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input readonly="true"  type="text" name="nombres" maxlength="10" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Calificación")."&nbsp;" ?></td>
<td class="dr">
<?php
if($valoracion=="CUANTITATIVA"){?>
<input  tabindex="2" name="nota" id="nota" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nota"])) ?>" onKeyPress="return soloNum(event)" maxlength="2" size="1" >
<?php }
else{ ?>
   <select name="nota" id="nota" >
			<option  value="<?php $row["nota"]; ?>"><?php echo $nota ?></option>
			<option  value="20">APROBADA</option>
			<option  value="1">REPROBADA</option>
         </select>
<?php
} ?>

</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Forma de Aprobación")."&nbsp;" ?></td>

<td class="dr"><select name="aprobacion">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["aprobacion"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["aprobacion"])) ?></option>
  <option value="REGULAR">REGULAR</option>
</select></td>

</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode,$profesor,$periodo,$seccion,$sede,$materia,$carrera,$cod_periodo)
  {
  global $conn;
  global $valoracion;
  global $veces;
  global $semestre;
 // $cn=connect();
  
$count = sql_getrecordcount($profesor, $cod_periodo, $seccion, $sede, $materia, $carrera);
$id_carrera=$row['id_carrera'];
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
/* Muestra todos alumnos de la carrera seleccionda por el usuario. */
$query_rstAlumnos = "Select
carreras_alumno.id_alumno,
alumnos.apellidos,
alumnos.nombres,
alumnos.cedula
From
carreras_alumno
Inner Join alumnos ON alumnos.id_alumno = carreras_alumno.id_alumno
Where
carreras_alumno.id_carrera = '$id_carrera' ORDER BY apellidos,nombres";
//SELECT alumnos.apellidos, alumnos.nombres, alumnos.id_alumno FROM alumnos ORDER BY apellidos,nombres";
$rstAlumnos = mysql_query($query_rstAlumnos, $conn) or die(mysql_error());
$row_rstAlumnos = mysql_fetch_assoc($rstAlumnos);
$totalRows_rstAlumnos = mysql_num_rows($rstAlumnos);

mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$materia'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo,tipo FROM periodos WHERE id_periodo='$periodo'";
	$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$totalRows_periodo = mysql_num_rows($rs_periodo);
	$cod_periodo=$row_periodo["codigo"].' ('.$row_periodo["tipo"].')'; 

?>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;
  <?php echo $carrera ?>:<?php echo $row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;<?php echo $row_rs_materias['nombre_materia'].' ('.$materia.')'; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:&nbsp;&nbsp;&nbsp;</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;<b>SECCION:&nbsp;&nbsp;&nbsp;</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>LAPSO:&nbsp;&nbsp;&nbsp;</b> <?php echo $cod_periodo; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SEDE:&nbsp;&nbsp;&nbsp;</b> <?php echo $row_sede['nombre_sede']; ?></td>
</tr>
<tr>
<td colspan="2"><b>DOCENTE:&nbsp;&nbsp;&nbsp;</b> <?php echo $row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres']?></td>
</tr>
<tr>
<td align="right" colspan="2">N&uacute;mero de Inscritos: <?php echo $count ?></td>
</tr>
</table>
<hr size="1" noshade>

<table class="tbl" border="0" cellspacing="1" cellpadding="5" width="70%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Estudiante")."&nbsp;" ?></td>
<td class="dr">

<select tabindex="1" id="id_alumno" name="id_alumno" onChange="verificarHistorico(this.value, '<?php echo $carrera ?>', '<?php echo $materia ?>','<?php echo $profesor ?>', '<?php echo $seccion ?>','<?php echo $sede ?>', '<?php echo $cod_periodo ?>')">
   <option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option  value="<?php echo $row_rstAlumnos['id_alumno']?>"><?php echo $row_rstAlumnos['apellidos']?>, <?php echo $row_rstAlumnos['nombres']?>&nbsp;(<?php echo number_format($row_rstAlumnos['cedula'],0,"",".") ?>)</option>
  <?php
} while ($row_rstAlumnos = mysql_fetch_assoc($rstAlumnos));
  $rows = mysql_num_rows($rstAlumnos);
  if($rows > 0) {
      mysql_data_seek($rstAlumnos, 0);
	  $row_rstAlumnos = mysql_fetch_assoc($rstAlumnos);
  }
?></select>
</td>
<iframe name="frameHistorico" id="frameHistorico" with="0" height="0" frameborder="0" ></iframe>

</tr>




</table>
<?php
mysql_free_result($rstAlumnos);
 } ?>



<?php function showpagenav($page, $pagecount,$profesor,$periodo,$seccion,$sede,$materia,$carrera)
{
global $mencion;
global $semestre;
global $turno;
global $valoracion;
global $veces;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="cargar_historico.php?a=add&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Agregar Estudiante</a>&nbsp;&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="cargar_historico.php?page=<?php echo $page - 1 ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="cargar_historico.php?page=<?php echo $j ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="cargar_historico.php?page=<?php echo $startpage ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="cargar_historico.php?page=<?php echo $page + 1 ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count, $profesor,$periodo,$seccion,$sede,$materia,$carrera)
{
global $mencion;
global $semestre;
global $turno;
global $valoracion;
global $veces;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="cargar_historico.php?profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="cargar_historico.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="cargar_historico.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>


<?php function addrec($profesor,$periodo,$seccion,$sede,$materia,$carrera,$cod_periodo)
{
global $mencion;
global $semestre;
global $turno;
global $valoracion;
global $veces;

?>
<table class="bd" width="100%"><tr><td class="hr">Agregando Estudiante al Acta</td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="cargar_historico.php?profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="addNota" id="addNota" enctype="multipart/form-data" action="cargar_historico.php?profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>" method="post" onSubmit="return validar_datos1()">
<p><input type="hidden" name="sql" value="insert"></p>
<p><input type="hidden" name="yid_carrera" value="<?php echo $carrera ?>"></p>
<p><input type="hidden" name="yid_materia" value="<?php echo $materia ?>"></p>
<p><input type="hidden" name="yid_docente" value="<?php echo $profesor ?>"></p>
<p><input type="hidden" name="yid_sede" value="<?php echo $sede ?>"></p>
<p><input type="hidden" name="yid_seccion" value="<?php echo $seccion ?>"></p>
<p><input type="hidden" name="yid_periodo" value="<?php echo $cod_periodo ?>"></p>
<?php
$row = array(
  "id_alumno" => "",
  "cedula" => "",
  "id_carrera" => "$carrera",
  "id_materia" => "$materia",
  "id_docente" => "$profesor",
  "nota" => "",
  "aprobacion" => "",
  "seccion" => "$seccion",
  "periodo" => "$periodo",
  "sede" => "$sede",
  "annio" => "");
showrowadd($row, false,$profesor, $periodo, $seccion, $sede, $materia, $carrera,$cod_periodo);
?>
<p><input type="submit" name="action" value="Agregar"></p>
</form>
<?php } ?>



<?php function viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera,$periodo)
{
global $mencion;
global $semestre;
global $turno;
global $valoracion;
global $veces;

?>
<table class="bd" width="100%"><tr><td class="hr">Modificando Calificaci&oacute;n</td></tr></table>
<?php
   
  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
?>
<br>
<form name="editarNota" id="editarNota" enctype="multipart/form-data" action="cargar_historico.php?profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>" method="post" onSubmit="return validar_datos()">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xperiodo" value="<?php echo $periodo; ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $carrera ?>">
<input type="hidden" name="xid_materia" value="<?php echo $materia ?>">
<?php showroweditor($row, true,$profesor,$periodo,$seccion,$sede,$materia,$carrera,$periodo); ?>
<p><input type="submit" name="action" value="Modificar Calificación"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera, $cod_periodo)
{
global $mencion;
global $semestre;
global $turno;
global $veces;
global $valoracion;

?>
<table class="bd" width="100%"><tr><td class="hr">Excluyendo Estudiante</td></tr></table>
<?php
   /* echo 'RECID: '.$recid.'<br>';
   echo 'PROFESOR: '.$profesor.'<br>';
   echo 'PERIODO: '.$cod_periodo.'<br>';
   echo 'SECCION: '.$seccion.'<br>';
   echo 'SEDE: '.$sede.'<br>';
   echo 'MATERIA: '.$materia.'<br>';
   echo 'CARRERA: '.$carrera.'<br>'; */
  
  $res = sql_select($profesor, $cod_periodo, $seccion, $sede, $materia, $carrera);
  $count = sql_getrecordcount($profesor, $cod_periodo, $seccion, $sede, $materia, $carrera);

  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count,$profesor,$periodo,$seccion,$sede,$materia,$carrera);
?>
<br>
<form action="cargar_historico.php?profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&mencion=<?php echo $mencion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&valoracion=<?php echo $valoracion ?>&veces=<?php echo $veces ?>" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xid_docente" value="<?php echo $row["id_docente"] ?>">
<input type="hidden" name="xnota" value="<?php echo $row["nota"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<input type="hidden" name="xperiodo" value="<?php echo $row["periodo"] ?>">
<input type="hidden" name="yid_periodo" value="<?php echo $cod_periodo ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xannio" value="<?php echo $row["annio"] ?>">
<input type="hidden" name="xaprobacion" value="<?php echo $row["aprobacion"] ?>">
<input type="hidden" name="xacta" value="<?php echo $row["acta"] ?>">
<input type="hidden" name="xfecha" value="<?php echo $row["fecha"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>


<?php function connect()
{
 /*  $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  mysql_select_db("siga_postgrado");
  mysql_query ("SET NAMES 'utf8'");
  return $conn; */
}


function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
  
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  if($profesor=='0'){
  $sql = "SELECT * FROM (Select historico_notas.id_alumno, alumnos.cedula, alumnos.apellidos, alumnos.nombres, historico_notas.id_periodo, historico_notas.id_carrera, historico_notas.id_materia, historico_notas.id_seccion, historico_notas.nota, historico_notas.sede, historico_notas.id_docente, historico_notas.aprobacion, historico_notas.valoracion From alumnos Inner Join historico_notas ON alumnos.id_alumno = historico_notas.id_alumno) subq WHERE id_periodo='$periodo' and id_seccion='$seccion' and sede='$sede' and id_materia='$materia' and id_carrera='$carrera' ORDER BY apellidos,nombres";
  }
  else {
  $sql = "SELECT * FROM (Select historico_notas.id_alumno, alumnos.cedula, alumnos.apellidos, alumnos.nombres, historico_notas.id_periodo, historico_notas.id_carrera, historico_notas.id_materia, historico_notas.id_seccion, historico_notas.nota, historico_notas.sede, historico_notas.id_docente, historico_notas.aprobacion, historico_notas.valoracion From alumnos Inner Join historico_notas ON alumnos.id_alumno = historico_notas.id_alumno) subq WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and sede='$sede' and id_materia='$materia' and id_carrera='$carrera' ORDER BY apellidos,nombres";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  $filterstr = sqlstr($filter);
  
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  if($profesor=='0'){
  $sql = "SELECT COUNT(*) FROM (Select historico_notas.id_alumno, alumnos.cedula, alumnos.apellidos, alumnos.nombres, historico_notas.id_periodo, historico_notas.id_carrera, historico_notas.id_materia, historico_notas.id_seccion, historico_notas.nota, historico_notas.sede,  historico_notas.id_docente, historico_notas.aprobacion, historico_notas.valoracion From alumnos Inner Join historico_notas ON alumnos.id_alumno = historico_notas.id_alumno) subq WHERE id_periodo='$periodo' and id_seccion='$seccion' and sede='$sede' and id_materia='$materia' and id_carrera='$carrera' ORDER BY apellidos,nombres";
  }
  else {
  $sql = "SELECT COUNT(*) FROM (Select historico_notas.id_alumno, alumnos.cedula, alumnos.apellidos, alumnos.nombres, historico_notas.id_periodo, historico_notas.id_carrera, historico_notas.id_materia, historico_notas.id_seccion, historico_notas.nota, historico_notas.sede,  historico_notas.id_docente, historico_notas.aprobacion, historico_notas.valoracion From alumnos Inner Join historico_notas ON alumnos.id_alumno = historico_notas.id_alumno) subq WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and sede='$sede' and id_materia='$materia' and id_carrera='$carrera' ORDER BY apellidos,nombres";
  
  }

  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
} ?>

<?php
function sql_update($recid)
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
 
  $nota=@$_POST["nota"];
  $id_alumno=@$_POST["xid_alumno"];
  $id_periodo=@$_POST["xperiodo"];
  $id_carrera=@$_POST["xid_carrera"];
  $id_materia=@$_POST["xid_materia"];
  
  /*echo 'ALUMNO: '.$id_alumno.'<BR>';
  echo 'PERIODO: '.$id_periodo.'<BR>';
  echo 'CARRERA: '.$id_carrera.'<BR>';
  echo 'MATERIA: '.$id_materia.'<BR>';*/
  
  $sql = "update `historico_notas` set `nota`='$nota' WHERE id_alumno='$id_alumno' AND id_materia='$id_materia' and id_carrera='$id_carrera' and id_periodo='$id_periodo'";
  mysql_query($sql, $conn) or die(mysql_error());
  
    // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Modificar nota en histórico";
  $script="cargar_historico.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
 
}

function sql_insert()
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  global $periodo;
  global $seccion;
  global $mencion;
  global $nivel;
  global $semestre;
  global $id_mencion;
  global $valoracion;
  
  $pensum='6';
 
   // Conecta la Base de Datos. 
  // $conn=connect();
  mysql_select_db($database_conn, $conn);
  
  // Fecha en la cual se registra la nota.
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha_hoy = cambioFecha($fecha2);   
	$fecha_ingreso=join ("-",(array_reverse(explode("-",$fecha_hoy))));
  
  $nota=@$_POST["nota"];
  $aprobacion=@$_POST["aprobacion"];
  if($aprobacion=="EQUIVALENCIA") {
     $nota=0;
  }	
   
  $periodo=@$_POST["yid_periodo"];
  $id_alumno=@$_POST["id_alumno"];
  $id_carrera=@$_POST["yid_carrera"];
  $id_materia=@$_POST["yid_materia"];
  $id_sede=@$_POST["yid_sede"];
  
  $query_alumnos = "SELECT cedula,apellidos,nombres FROM alumnos WHERE id_alumno='$id_alumno'";
  $rs_alumnos = mysql_query($query_alumnos, $conn) or die(mysql_error());
  $row_alumnos = mysql_fetch_assoc($rs_alumnos);
  $totalRows_alumnos = mysql_num_rows($rs_alumnos);
  $cedula=$row_alumnos["cedula"];
  $participante=$row_alumnos["apellidos"].', '.$row_alumnos["nombres"];
  
  $query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
  $rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
  $row_carrera = mysql_fetch_assoc($rs_carrera);
  $totalRows_carrera = mysql_num_rows($rs_carrera);
  $nom_carrera=$row_carrera["nombre_carrera"];
 
  
  $query_periodo = "SELECT annio,codigo FROM periodos WHERE id_periodo='$periodo'";
  $rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
  $row_periodo = mysql_fetch_assoc($rs_periodo);
  $totalRows_periodo = mysql_num_rows($rs_periodo);
  $annio=$row_periodo["annio"];
  
  $query_semestre = "SELECT semestre FROM materias WHERE id_carrera='$id_carrera' and id_materia='$id_materia'";
 
  $rs_semestre = mysql_query($query_semestre, $conn) or die(mysql_error());
  $row_semestre = mysql_fetch_assoc($rs_semestre);
  $semestre=$row_semestre["semestre"];
  
  $sql = "insert into `historico_notas` (`id_alumno`, `id_carrera`, `mencion`, `nivel`, `pensum`, `id_materia`,  `semestre`, `id_docente`, `nota`, `id_seccion`, `id_periodo`, `sede`, `annio`,`fecha`, `aprobacion`, `valoracion`) values (" .sqlvalue(@$_POST["id_alumno"], false).", " .sqlvalue(@$_POST["yid_carrera"], true).", '$id_mencion', '$nivel', '$pensum', " .sqlvalue(@$_POST["yid_materia"], true).", '$semestre', " .sqlvalue(@$_POST["yid_docente"], false).", '$nota', '$seccion', '$periodo', " .sqlvalue(@$_POST["yid_sede"], true).", '$annio', '$fecha_ingreso'," .sqlvalue(@$_POST["aprobacion"], true).", '$valoracion')";
 
  mysql_query($sql, $conn) or die(mysql_error()); 
 
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Registrar nota en histórico";
  $script="cargar_historico.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
   
  // Buscar en historial alumnos.  Si no existe agregarlo.
  $sqlHistorial = "SELECT * FROM historial_alumnos WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$periodo'";
  $rstHistorial = mysql_query($sqlHistorial, $conn) or die(mysql_error());
  $rowsHistorial = mysql_num_rows($rstHistorial);
  if($rowsHistorial==0){
     $sql = "insert into `historial_alumnos` (`id_alumno`, `cedula`, `participante`, `sede`, `id_periodo`, `id_carrera`, `nom_carrera`, `fecha`, `annio`) values ('$id_alumno', '$cedula', '$participante','$id_sede', '$periodo', '$id_carrera', '$nom_carrera','$fecha_ingreso', '$annio')";
     mysql_query($sql, $conn) or die(mysql_error());
  }

}

function sql_delete($recid)
{
  global $conn;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
 
  $sql = "delete from `historico_notas` where " .primarykeycondition()." LIMIT 1";
  mysql_query($sql, $conn) or die(mysql_error());

  // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Eliminar nota en histórico";
  $script="cargar_historico.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
 

}


function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_alumno`";
  if (@$_POST["xid_alumno"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_alumno"], false);
  };
  $pk .= ") and ";
  $pk .= "(`id_carrera`";
  if (@$_POST["xid_carrera"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_carrera"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_materia`";
  if (@$_POST["xid_materia"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_materia"], true);
  };
  $pk .= ")";
  return $pk;
}

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}  
	
	
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  

  }   
 ?>
 
<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
var patron1= new Array(2,0)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">

function validar_datos()
{
  if(document.editarNota.nota.value==""){
	alert("El campo <<Nota>> es obligatorio");
	document.editarNota.nota.focus();
	return false;
	}
	
  if((document.editarNota.nota.value<1) || (document.editarNota.nota.value>20)){
	alert("Nota <<"+document.editarNota.nota.value+">> fuera de rango. \n El rango válido es [1..20]");
	document.editarNota.nota.focus();
	document.editarNota.nota.value="";
	return false;
	} 
	
return true;
}

</script>

<script type="text/javascript">

function validar_datos1()
{

  if(document.addNota.id_alumno.value==0){
	alert("El campo <<Estudiante>> es obligatorio");
	document.addNota.id_alumno.focus();
	return false;
	}

  if(document.addNota.nota.value==""){
	alert("El campo <<Nota>> es obligatorio");
	document.addNota.nota.focus();
	return false;
	}
	
  if((document.addNota.nota.value<1) || (document.addNota.nota.value>20)){
	alert("Calificación <<"+document.addNota.nota.value+">> fuera de rango. \n El rango válido es [1..20]");
	document.addNota.nota.focus();
	document.addNota.nota.value="";
	return false;
	} 
  if(document.addNota.aprobacion.value==0){
	alert("El campo <<Forma de Aprobación>> es obligatorio");
	document.addNota.nota.focus();
	return false;
	}
return true;
}

</script>

<script type="text/javascript">
function verificarHistorico(alumno,carrera,materia,profesor,seccion,sede,periodo)
{

	if (alumno!="")
	 {
	 url="validar_historico.php?id_alumno="+alumno+"&id_carrera="+carrera+"&id_materia="+materia+"&profesor="+profesor+"&seccion="+seccion+"&sede="+sede+"&periodo="+periodo;
	 frameHistorico.location=url;
	 }
}
</script>



<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>	
